edu.sc.seis.sod.subsetter

## Class AreaSubsetter

- java.lang.Object
- - edu.sc.seis.sod.subsetter.AreaSubsetter

- Direct Known Subclasses:
    EventArea, MidPoint, SiteArea, StationArea

      public class AreaSubsetter
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected edu.iris.Fissures.Area` | `area`
    `protected edu.iris.Fissures.Location[]` | `locationArray`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AreaSubsetter(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(edu.iris.Fissures.Location loc)`
    `static edu.iris.Fissures.Location[]` | `extractPolygon(java.lang.String fileLocation)`
    `static java.io.BufferedReader` | `makeRelativeOrRecipeDirReader(java.lang.String fileLocation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### area

          protected edu.iris.Fissures.Area area

    - #### locationArray

          protected edu.iris.Fissures.Location[] locationArray

  - ### Constructor Detail

    - #### AreaSubsetter

          public AreaSubsetter(org.w3c.dom.Element config)
                        throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### extractPolygon

          public static edu.iris.Fissures.Location[] extractPolygon(java.lang.String fileLocation)
                                                             throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### makeRelativeOrRecipeDirReader

          public static java.io.BufferedReader makeRelativeOrRecipeDirReader(java.lang.String fileLocation)
                                                                      throws java.io.FileNotFoundException

      Throws:
        `java.io.FileNotFoundException`

    - #### accept

          public boolean accept(edu.iris.Fissures.Location loc)